# API Usage

When using the API you need to give the Server a GET Request otherwise it will return a Error 400 Bad Request Message, this will also display if there is to request provided.

If you want to make a request to the server the URI would be `http://[server address]/?req=[request]` In the table below is a list of requests and the expected output.

| Request            | Description                                                                | Expected Output                                                                                                                                                                           |
| ------------------ | -------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| test               | Test Response                                                              | `<h1>It Works!</h1>`                                                                                                                                                                      |
| userCount          | Will Respond with the latest user count from the bot                       | `18906`                                                                                                                                                                                   |
| channelCount       | Latest channel count from the bot                                          | `627`                                                                                                                                                                                     |
| guildCount         | Latest Guild/Server Count from the Bot                                     | `27`                                                                                                                                                                                      |
| botBranch          | Bot branch defined in `package.json`                                       | `stable`                                                                                                                                                                                  |
| packageName        | Package Name defined in `package.json`                                     | `SeedBot`                                                                                                                                                                                 |
| botBuild           | Build number defined in `package.json`                                     | `859`                                                                                                                                                                                     |
| packageDescription | Description defined in `package.json`                                      | `A Discord Bot for Developers by Developers, and some basic functions that every bot has.`                                                                                                |
| botOwnerID         | ownerID Defined in `package.json`                                          | `230485481773596672`                                                                                                                                                                      |
| botEngines         | Replies with `engines` defined in `package.json`                           | `{ "node": "8.16.0" }`                                                                                                                                                                    |
| packageScripts     | Replies with `scripts` defined in `package.json`                           | `{ "start": "node bot.js" }`                                                                                                                                                              |
| botDependencies    | Replies with `dependencies` defined in `package.json`                      | `{ "child_process": "^1.0.2", "discord.js": "^11.5.1", "discord.js-musicbot-addon": "^13.5.2", "external-ip": "^2.1.1", "figlet": "^1.2.3", "opusscript": "0.0.6", "signale": "^1.4.0" }` |
| packageRepository  | Replies with `repository` defined in `package.json`                        | `{ "type": "git", "url": "git+`[`https://github.com/discordseedbot/stable.git`](https://github.com/discordseedbot/stable.git)`" }`                                                        |
| author             | Replies with `author` defined in `package.json`                            | `Jyles Coad-Ward [jyles@dariox.club]`                                                                                                                                                     |
| botLicense         | Replies with the Licence that the Bot/Current Branch Uses                  | `GPL-3.0-or-later`                                                                                                                                                                        |
| botBugReportUrl    | Replies with the Issues Github Page                                        | [`https://github.com/discordseedbot/stable/issues`](https://github.com/discordseedbot/stable/issues)                                                                                      |
| botHomepage        | Replies with `homepage` defined in `package.json`                          | `https://seedbot.xyz`                                                                                                                                                                     |
| apiVersion         | Replies with the varaible `apiVersion` near the top of the API PHP script. | `1.1`                                                                                                                                                                                     |
|                    |                                                                            |                                                                                                                                                                                           |
|                    | When no request is made                                                    | `400 Bad Request Please look at the source code of the API to grasp a better understanding!`                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seedbot.xyz/api/api-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
